Bug 282931 - Lifrea doesn't open links with commas correctly in browser.
Lifrea doesn't open links with commas correctly in browser.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
7
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
http://rss.gazeta.pl/pub/rss/wiadomos...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 14:37 EDT by Michael De La Rue
Modified: 2007-12-08 09:44 EST (History)
0 users

See Also:
Fixed In Version: 1.4.8-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-08 09:44:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael De La Rue 2007-09-07 14:37:58 EDT
Description of problem:
Some RSS feeds, e.g. http://rss.gazeta.pl/pub/rss/wiadomosci.xml have story
links with commas in them.  When opening these from liferea into firefox, the
commas are HTML character encoded and so the links don't open correctly.  The
links work correctly when put directly into the browser or when opened
internally by liferea. 

Version-Release number of selected component (if applicable):
liferea-1.2.19-3.fc7

How reproducible:
every time


Steps to Reproduce:
1. select above mentioned feed
2. right click on item 
3. choose "load item in browser"
  
Actual results:
an error page loads

Expected results:
the correct page loads

Additional info:
Bug #282331 for blam is almost identical; I suspect this is really a problem in
the interface for passing the links to firefox.  

Not yet verified in upstream stable release.
Comment 1 Brian Pepple 2007-12-01 18:22:08 EST
Are you still experiencing this bug in the 1.4.x branch?
Comment 2 Michael De La Rue 2007-12-08 09:31:14 EST
No; with a self compiled 1.4.9 liferea the links open correctly.  
Comment 3 Brian Pepple 2007-12-08 09:44:55 EST
Marking as fixed.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.